%define rel     7

Name:           picom-conf
Version:        0.17.0
Release:        %mkrel %{rel}
Summary:        Configuration tool for X composite manager Picom
Group:          Graphical desktop/Other
License:        LGPLv2+
URL:            https://github.com/qtilities/picom-conf
Source:         https://github.com/qtilities/picom-conf/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(qtilitools)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(libconfig)

Requires:       picom
Obsoletes:      compton-conf < 0.16.0-4
Provides:       compton-conf = %{version}-%{release}


%description
X composite manager configuration for picom.

%prep
%autosetup -p1

%build
%cmake -DPICOM_ENABLE_AUTOSTART:BOOL=ON \
       -DPROJECT_QT_VERSION=6
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/picom.desktop
%{_datadir}/applications/picom_conf.desktop
%{_datadir}/%{name}/
%{_metainfodir}/picom_conf.appdata.xml


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.17.0-7.mga10
+ Revision: 2230118
- Mageia 10 Mass Rebuild

* Wed Nov 20 2024 daviddavid <daviddavid> 0.17.0-6.mga10
+ Revision: 2117946
- switch to Qt6

* Sun Jan 21 2024 daviddavid <daviddavid> 0.17.0-5.mga10
+ Revision: 2033152
- really update to 0.17.0

* Sat Jan 20 2024 papoteur <papoteur> 0.17.0-4.git20220731.1.mga10
+ Revision: 2033012
- new version 0.17.0

* Sun Jun 18 2023 papoteur <papoteur> 0.16.0-4.git20220731.3.mga9
+ Revision: 1962455
- fix icon in the desktop file

* Sat Jan 07 2023 wally <wally> 0.16.0-4.git20220731.2.mga9
+ Revision: 1930919
- build using %%cmake macro

* Mon Sep 12 2022 papoteur <papoteur> 0.16.0-4.git20220731.1.mga9
+ Revision: 1887355
- Bump the release

* Mon Sep 12 2022 papoteur <papoteur> 0.16.0-3.git20220731.mga9
+ Revision: 1887350
- add Provides and Obsoletes for compton-conf

* Mon Sep 12 2022 papoteur <papoteur> 0.16.0-1.mga9
+ Revision: 1887343
- Replace compton-conf with picom-conf

* Tue Apr 05 2022 umeabot <umeabot> 0.16.0-3.mga9
+ Revision: 1844928
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658270
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643403
- New version 0.16.0
- update Url and Source Url

* Sun Apr 26 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1572180
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524425
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1381463
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380843
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1361428
- lxqt-l10n build dependency is no more needed (deprecated upstream)

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361291
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.4.0-3.mga7
+ Revision: 1345492
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.4.0-2.mga7
+ Revision: 1296763
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.4.0-1.mga7
+ Revision: 1235950
- New version 0.4.0

* Fri Apr 06 2018 kekepower <kekepower> 0.3.0-2.mga7
+ Revision: 1215609
- Rebuild for new libconfig

* Tue Mar 13 2018 daviddavid <daviddavid> 0.3.0-1.mga7
+ Revision: 1208980
- new version: 0.3.0

* Tue Mar 13 2018 neoclust <neoclust> 0.2.1-1.mga7
+ Revision: 1208943
- imported package compton-conf

